E-MailRelay

Public Member Functions | Public Attributes | List of all members
GSmtp::AnonymousText Struct Reference

Provides anodyne SMTP protocol text. More...

Inheritance diagram for GSmtp::AnonymousText:

## Public Member Functions
| AnonymousText (const std::string &=std::string())
std::string | greeting () const override
| Returns a system identifier for the initial greeting. More...
std::string | hello (const std::string &peer_name) const override
| Returns a hello response. More...
std::string | received (const std::string &smtp_peer_name, bool auth, bool secure, const std::string &protocol, const std::string &cipher) const override
| Returns a complete 'Received' line. More...
Public Member Functions inherited from GSmtp::ServerProtocol::Text
virtual std::string | greeting () const =0
| Returns a system identifier for the initial greeting. More...
virtual std::string | hello (const std::string &smtp_peer_name) const =0
| Returns a hello response. More...
virtual std::string | received (const std::string &smtp_peer_name, bool auth, bool secure, const std::string &protocol, const std::string &cipher) const =0
| Returns a complete 'Received' line. More...
virtual | ~Text ()=default
| Destructor.

## Public Attributes
std::string | m_thishost

## Detailed Description

Provides anodyne SMTP protocol text.

Definition at line 40 of file gsmtpserver.cpp.

## Constructor & Destructor Documentation

## ◆ AnonymousText()

GSmtp::AnonymousText::AnonymousText | ( | const std::string & | thishost = `std::string()` | ) |
| explicit

Definition at line 52 of file gsmtpserver.cpp.

## Member Function Documentation

## ◆ greeting()

std::string GSmtp::AnonymousText::greeting | ( |  | ) | const
| override virtual

Returns a system identifier for the initial greeting.

Implements GSmtp::ServerProtocol::Text.

Definition at line 59 of file gsmtpserver.cpp.

## ◆ hello()

std::string GSmtp::AnonymousText::hello | ( | const std::string & | smtp_peer_name | ) | const
| override virtual

Returns a hello response.

Implements GSmtp::ServerProtocol::Text.

Definition at line 64 of file gsmtpserver.cpp.

## ◆ received()

std::string GSmtp::AnonymousText::received | ( | const std::string & | smtp_peer_name,
|  | bool | auth,
|  | bool | secure,
|  | const std::string & | protocol,
|  | const std::string & | cipher
| ) |  | const
| override virtual

Returns a complete 'Received' line.

Implements GSmtp::ServerProtocol::Text.

Definition at line 69 of file gsmtpserver.cpp.

## Member Data Documentation

## ◆ m_thishost

std::string GSmtp::AnonymousText::m_thishost

Definition at line 48 of file gsmtpserver.cpp.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gsmtpserver.cpp